Subject: bug#35473: closed (Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no base64 encoder available, and not mentioned in tramp manual))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 Jan 2020 20:24:02 +0000

Your bug report

#35639: accessing remote openwrt hosts gives => Wrong method specification for `ssh'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35639: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35639
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35639: 27.0.50; tramp fails to use ssh on LibreCMC (no base64 encoder available, and not mentioned in tramp manual)
From: Michael Albinus <[email-masked]>
To: Jeronimo Pellegrini <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Jan 2020 21:23:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 27.2

Jeronimo Pellegrini <[email-masked]> writes:

> Hello!

Hi Jeronimo,

>> >> I've committed the appended patch to the Emacs and Tramp git
>> >> repositories. Could you, pls, test with your LibeCMC machine?
>
> I just tested it with the exact same precedure that I used when I reported
> the bug, and it worked perfectly!

Thanks for the feedback.

>> >> If you don't use the git repositories, you might install Tramp 2.4.3
>> >> from GNU ELPA, and apply the patch on top of it.
>
> I compiled Emacs from git (updated today, Jan 16)...
>
> So I believe this is solved! :-)

Yep. I'm closing the bug.

> J.

Best regards, Michael.

Subject: accessing remote openwrt hosts gives => Wrong method specification for `ssh'
From: [email-masked]
To: [email-masked]
Date: Sun, 28 Apr 2019 11:13:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In emacs on a Debian stable desktop:

  C-x C-f /ssh:myopenwrt-host:/etc/config/

remotely opens the directory on the openwrt router just fine. When a
file in that directory (e.g. "system") is selected, emacs gives:

  "Wrong method specification for `ssh'"

If the same file is selected a second time, emacs opens an empty
buffer.

There is no problem accessing these files without emacs using ssh and
scp.  FWIW, this is the relevant ssh config:

  host myopenwrt-host
    hostname          192.168.1.38
    port              22
    user              root
    IdentityFile      /home/user/.ssh/id_rsa
    ForwardX11        no

* versions *

GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
OpenSSH_7.4p1 Debian-10+deb9u6, OpenSSL 1.0.2r  26 Feb 2019
openwrt-18.06.2-brcm47xx-mips74k-asus-rt-n16-squashfs.trx